Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng

# Interface IConnectionProperties

All Superinterfaces:
  `AttachmentProperties`, `BaseProperties`, `DatabaseConnectionProperties`, `IAttachProperties<IConnectionProperties>`

All Known Implementing Classes:
  `FbConnectionProperties`, `FbImmutableConnectionProperties`

public interface IConnectionProperties extends IAttachProperties<IConnectionProperties>, DatabaseConnectionProperties
Connection properties for the Firebird connection.

Since:
  3.0
Author:
  Mark Rotteveel

## Field Summary

### Fields inherited from interface org.firebirdsql.gds.ng.IAttachProperties

`DEFAULT_CONNECT_TIMEOUT, DEFAULT_SO_TIMEOUT, DEFAULT_SOCKET_BUFFER_SIZE`

## Method Summary

Modifier and Type
Method
Description
`IConnectionProperties`
`asImmutable()`
`IConnectionProperties`
`asNewMutable()`

### Methods inherited from interface org.firebirdsql.jaybird.props.AttachmentProperties

`getAuthPlugins, getCharSet, getConnectTimeout, getDbCryptConfig, getEnableProtocol, getEncoding, getParallelWorkers, getPassword, getPortNumber, getProcessId, getProcessName, getRoleName, getServerName, getSocketBufferSize, getSocketFactory, getSoTimeout, getType, getUser, getWireCrypt, isWireCompression, setAuthPlugins, setCharSet, setConnectTimeout, setDbCryptConfig, setEnableProtocol, setEncoding, setParallelWorkers, setPassword, setPortNumber, setProcessId, setProcessName, setRoleName, setServerName, setSocketBufferSize, setSocketFactory, setSoTimeout, setType, setUser, setWireCompression, setWireCrypt`

### Methods inherited from interface org.firebirdsql.jaybird.props.BaseProperties

`connectionPropertyValues, getBooleanProperty, getBooleanProperty, getIntProperty, getIntProperty, getProperty, getProperty, setBooleanProperty, setIntProperty, setProperty`

### Methods inherited from interface org.firebirdsql.jaybird.props.DatabaseConnectionProperties

`getBlobBufferSize, getDatabaseName, getDataTypeBind, getDecfloatRound, getDecfloatTraps, getDefaultIsolation, getDefaultTransactionIsolation, getGeneratedKeysEnabled, getPageCacheSize, getReportSQLWarnings, getScrollableCursor, getServerBatchBufferSize, getSessionTimeZone, getSqlDialect, getTpbMapping, isAllowTxStmts, isAsyncFetch, isColumnLabelForName, isCreateDatabaseIfNotExist, isDefaultResultSetHoldable, isExtendedMetadata, isIgnoreProcedureType, isUseCatalogAsPackage, isUseFirebirdAutocommit, isUseServerBatch, isUseStreamBlobs, setAllowTxStmts, setAsyncFetch, setBlobBufferSize, setColumnLabelForName, setCreateDatabaseIfNotExist, setDatabaseName, setDataTypeBind, setDecfloatRound, setDecfloatTraps, setDefaultIsolation, setDefaultResultSetHoldable, setDefaultTransactionIsolation, setExtendedMetadata, setGeneratedKeysEnabled, setIgnoreProcedureType, setPageCacheSize, setReportSQLWarnings, setScrollableCursor, setServerBatchBufferSize, setSessionTimeZone, setSqlDialect, setTpbMapping, setUseCatalogAsPackage, setUseFirebirdAutocommit, setUseServerBatch, setUseStreamBlobs`

### Methods inherited from interface org.firebirdsql.gds.ng.IAttachProperties

`getAttachObjectName, getWireCryptAsEnum, isImmutable, setAttachObjectName, setWireCryptAsEnum`

## Method Details

### asImmutable

IConnectionProperties asImmutable()

Specified by:
  `asImmutable` in interface `IAttachProperties<IConnectionProperties>`
Returns:
  An immutable version of this instance as an implementation of `IConnectionProperties`

### asNewMutable

IConnectionProperties asNewMutable()

Specified by:
  `asNewMutable` in interface `IAttachProperties<IConnectionProperties>`
Returns:
  A new, mutable, instance as an implementation of `IConnectionProperties` with all properties copied.